# Uses of Interface
org.opensaml.xmlsec.encryption.EncryptionProperty

Packages that use EncryptionProperty
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of EncryptionProperty in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return types with arguments of type EncryptionProperty
Modifier and Type
Method
Description
`List<EncryptionProperty>`
EncryptionProperties.`getEncryptionProperties()`
Get the list of EncryptionProperty child elements.

## Uses of EncryptionProperty in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement EncryptionProperty
Modifier and Type
Class
Description
`class`
`EncryptionPropertyImpl`
Concrete implementation of `EncryptionProperty`.
Fields in org.opensaml.xmlsec.encryption.impl with type parameters of type EncryptionProperty
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<EncryptionProperty>`
EncryptionPropertiesImpl.`encryptionProperties`
EncryptionProperty child elements.
Methods in org.opensaml.xmlsec.encryption.impl that return EncryptionProperty
Modifier and Type
Method
Description
`EncryptionProperty`
EncryptionPropertyBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`EncryptionProperty`
EncryptionPropertyBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xmlsec.encryption.impl that return types with arguments of type EncryptionProperty
Modifier and Type
Method
Description
`List<EncryptionProperty>`
EncryptionPropertiesImpl.`getEncryptionProperties()`
Get the list of EncryptionProperty child elements.